# Resources
scoreboard players add stick timer 1
scoreboard players add log timer 1
scoreboard players add rock timer 1
scoreboard players add iron timer 1
scoreboard players add gold timer 1

execute if score stick timer >= stickTime timer run function chop:game/spawn/resource/stick
execute if score log timer >= logTime timer run function chop:game/spawn/resource/log
execute if score rock timer >= rockTime timer run function chop:game/spawn/resource/rock
execute if score iron timer >= ironTime timer run function chop:game/spawn/resource/iron
execute if score gold timer >= goldTime timer run function chop:game/spawn/resource/gold



# Mobs
execute if score lightCount mobs < lightMax mobs run scoreboard players add light timer 1
execute if score spinnerCount mobs < spinnerMax mobs run scoreboard players add spinner timer 1
execute if score spiderCount mobs < spiderMax mobs if score candles vars matches 2.. run scoreboard players add spider timer 1
execute if score ghostCount mobs < ghostMax mobs if score candles vars matches 5.. run scoreboard players add ghost timer 1

execute if score light timer >= lightTime timer run function chop:game/spawn/mob/light_spirit
execute if score spinner timer >= spinnerTime timer run function chop:game/spawn/mob/spinner
execute if score spider timer >= spiderTime timer run function chop:game/spawn/mob/spider
execute if score ghost timer >= ghostTime timer run function chop:game/spawn/mob/ghost



# Effects
execute if entity @a[gamemode=adventure,tag=!no_blind] run scoreboard players add flash timer 1
execute if entity @a[gamemode=adventure,tag=!no_blind] run scoreboard players add jumpscare timer 1
execute if score flash timer >= flashTime timer run function chop:game/spawn/effect/flash
execute if score jumpscare timer >= jumpscareTime timer run function chop:game/spawn/effect/jumpscare


# Chaos explosion
execute if score chaosActivated vars matches 1 run scoreboard players add chaosExplode timer 1
execute if score chaosExplode timer >= chaosExplodeTime timer as @e[tag=chaos] at @s if entity @a[gamemode=adventure,distance=..5] run function chop:game/chaos/explode
execute if score chaosExplode timer matches 30 run data merge entity @e[tag=chaos,limit=1] {Invulnerable:0}